var auditTrail = {
    settings: {
        ajaxUrl: ''
    },
    init: function() {
        auditTrail.initDataTable();
    },
    initDataTable: function() {

        // var callBack = function() {
        // };

        jQ('#auditTrail-datalist').DataTable({
            processing: true,
            serverSide: true,
            ajax: {
                url: auditTrail.settings.ajaxUrl,
                data: function(d) {
                    d.url = global.settings.url;
                }
            },
            deferRender: true,
            columnDefs: [
                {orderable: false, targets: 5},
                {searchable: false, targets: 5}
            ],
            order: [[0, 'desc']],
            orderClasses: false,
            //drawCallback: callBack,
            responsive: {
                details: {
                    renderer: function(api, rowIdx) {
                        //return global.dataTableResponsiveCallBack(api, rowIdx, callBack);
                        return global.dataTableResponsiveCallBack(api, rowIdx);
                    }
                }
            }
        });

        jQ('.content-container').removeClass('has-loading');
        jQ('.content-container-content').removeClass('hide');
    }
};